﻿import request from '/@/utils/request';
enum Api {
  AddWcsCarTasks = '/api/wcsCarTasks/add',
  DeleteWcsCarTasks = '/api/wcsCarTasks/delete',
  UpdateWcsCarTasks = '/api/wcsCarTasks/update',
  PageWcsCarTasks = '/api/wcsCarTasks/page',
  DetailWcsCarTasks = '/api/wcsCarTasks/detail',
}

// 增加四向车任务明细表
export const addWcsCarTasks = (params?: any) =>
	request({
		url: Api.AddWcsCarTasks,
		method: 'post',
		data: params,
	});

// 删除四向车任务明细表
export const deleteWcsCarTasks = (params?: any) => 
	request({
			url: Api.DeleteWcsCarTasks,
			method: 'post',
			data: params,
		});

// 编辑四向车任务明细表
export const updateWcsCarTasks = (params?: any) => 
	request({
			url: Api.UpdateWcsCarTasks,
			method: 'post',
			data: params,
		});

// 分页查询四向车任务明细表
export const pageWcsCarTasks = (params?: any) => 
	request({
			url: Api.PageWcsCarTasks,
			method: 'post',
			data: params,
		});

// 详情四向车任务明细表
export const detailWcsCarTasks = (id: any) => 
	request({
			url: Api.DetailWcsCarTasks,
			method: 'get',
			data: { id },
		});


